import request from '@/utils/request'

// 查询购买须知列表
export function listMallPurchaseNotes(query) {
  return request({
    url: '/mall/mallPurchaseNotes/list',
    method: 'get',
    params: query
  })
}

// 查询购买须知详细
export function getMallPurchaseNotes(id) {
  return request({
    url: '/mall/mallPurchaseNotes/' + id,
    method: 'get'
  })
}

// 新增购买须知
export function addMallPurchaseNotes(data) {
  return request({
    url: '/mall/mallPurchaseNotes',
    method: 'post',
    data: data
  })
}

// 修改购买须知
export function updateMallPurchaseNotes(data) {
  return request({
    url: '/mall/mallPurchaseNotes',
    method: 'put',
    data: data
  })
}

// 删除购买须知
export function delMallPurchaseNotes(id) {
  return request({
    url: '/mall/mallPurchaseNotes/' + id,
    method: 'delete'
  })
}

// 导出购买须知
export function exportMallPurchaseNotes(query) {
  return request({
    url: '/mall/mallPurchaseNotes/export',
    method: 'get',
    params: query
  })
}